#include "scene.h"

Scene::Scene()
{
    root = new SceneNode(this);
}

void Scene::simpleScene()
{

    float red[] = {1.0,0.0,0.0};
    float green[] = {0.0,1.0,0.0};
    float blue[] = {0.0,0.0,1.0};
    float cyan[] = {0.0,1.0,1.0};
    float magenta[] = {1.0,0.0,1.0};
    float yellow[] =  {1.0,1.0,0.0};

    ScenePrimitive *box = new ScenePrimitive(PrimitiveType::Quader,2,root);

    box->setMaterial(blue);
    root->add(box);

    ScenePrimitive *sphere = new ScenePrimitive(PrimitiveType::Sphere,10,root);
    sphere->move(QVector3D(1.5,0,0));
    sphere->setMaterial(green);
    root->add(sphere);

    ScenePrimitive *cylinder = new ScenePrimitive(PrimitiveType::Cylinder,10,root);
    cylinder->move(QVector3D(0,1.5,0));
    cylinder->setMaterial(red);
    root->add(cylinder);

    ScenePrimitive *torus = new ScenePrimitive(PrimitiveType::Torus,10,root);
    torus->move(QVector3D(0,0,1.5));
    torus->setMaterial(magenta);
    root->add(torus);

}



void Scene::draw()
{
    root->draw();
}

SceneObject *Scene::getRoot()
{
    return root;
}

void Scene::move(int id, QVector3D dir)
{


}

void Scene::rotate(int id, QQuaternion rot)
{

}


