#include "sceneobject.h"

SceneObject::SceneObject(QObject *parent)
    :QObject(parent)
{
    id = 3;
    rotation = QQuaternion();
    translation = QVector3D();
}


int SceneObject::getID()
{
    return id;
}

void SceneObject::move(QVector3D dir)
{
    translation+=dir;
}
void SceneObject::rotate(QQuaternion rot)
{
    rotation *= QQuaternion(rotation*rot);
}

void SceneObject::draw(){qDebug()<<"Drawing abstract Scene Element";}


 void SceneObject::applyTransformation()
 {
     QMatrix4x4 mat = QMatrix4x4();
     mat.translate(translation);
     glMultMatrixf(mat.data());

     mat = QMatrix4x4();
     mat.rotate(rotation);
     glMultMatrixf(mat.data());
 }
