#ifndef SCENEOBJECT_H
#define SCENEOBJECT_H

#include <QObject>
#include <QQuaternion>
#include <QVector3D>
#include <QtOpenGL>
#include <gl/GLU.h>

class SceneObject : public QObject
{
    Q_OBJECT
protected:
    QQuaternion rotation;
    QVector3D translation;
    int id;
    QString name;
    void applyTransformation();

public:
    SceneObject(QObject *parent = 0);

    virtual void draw();
    int getID();
    void move(QVector3D dir);
    void rotate(QQuaternion rot);

};

#endif // SCENEOBJECT_H
